#!/usr/bin/env python

# This python script is just to test if the modules required for the
# image alignment are properly imported by Reflex. See MUSE workflow
# tutorial for more information.
#
import reflex 
import sys 
import os
import json
from optparse import OptionParser
import time
message=''
import_ok =1
try: 
    import astropy
    from astropy.io import fits as pyfits
    from astropy import wcs as pywcs
    from astropy.io import fits
except ImportError:
    import_ok = 0
    message=message+'  astropy is missing\n'
try: 
    import numpy as np
    from numpy import array
except ImportError:
    import_ok = 0
    message=message+'  numpy is missing\n'
try:
    from photutils import datasets
    from photutils import daofind
except ImportError:
    import_ok = 0
    message=message+'  photutils is missing\n'
try:
    import scipy
except ImportError:
    import_ok = 0
    message=message+'  scipy is missing\n'
    
    

if __name__ == '__main__':

#   MAIN MODULE ---
  parser = reflex.ReflexIOParser()
  parser.add_option("-i", "--trigger", dest="trigger")
  parser.add_output("-p", "--messages", dest="messages")
  inputs  = parser.get_inputs()
  outputs = parser.get_outputs()
  
  if import_ok == 0: # in the case import fails
      outputs.messages = ('Warning: Failing in importing some required Python modules:\n')+message+('\nCheck software requirements at:\n '
            ' https://www.eso.org/sci/software/pipelines/reflex_workflows/#software_prerequisites\n'
            ' or in the MUSE Reflex tutorial.\n\n '
            'Coordinates in the header will be used for alignment.\n\n'
            'If this is not the desired strategy, you can stop the .\n'
            'workflow by pressing the stop button.\n'
            'Note that it can take few moments to stop. '    )
      
  
  parser.write_outputs()
  sys.exit()
 


